From: [email-masked] (Mi Mi)
Date: Tue, 7 Sep 93 15:07:54 CDT

Re: Letters to the editor

Item 1:
Date: Tue, 07 Sep 1993 13:29:21 -0500
>From: [email-masked]
Subject: Re: Is there anyone who got approval?

Hi, Mi Mi:
Sorry to respond late. But my terminal was out of order in past a few days.
Regarding my friend's situation, he and his family have a priority date of
July 1. They were among those people who received their receipts earliest.
He himself is a postdoctor. You are right in saying that children are
getting approved much quicker since the approval cases I heard of were
most for children. However, I guess from this week, a lot of people will
receive their approval letters as well.

I appreciate the work you are doing. No matter what, we chinese as a
community, need more people like you.
Li,   9/7/93

Item 2:

Date:         Tue, 7 Sep 1993 15:13:07 EDT
>From: Hugo Huang <[email-masked]>
Subject:      Re: Aproval Notice

My kid got his approval notice last Thursday(Sept.2). We sent the
applications in separate packages on June 30, and got our receipts on
July 17, and 24. Actually my kid received his receipt last (July 24),
but he got the aproval notice first. My wife and I haven't got the
decision letter from INS yet. I have learn in several cases  that kids
received their aproval notices already, but not their parents. Just as
someone on the net point out that kids under 14 don't need go through
the security check and relatively took much less time to process their
applications compared to their parents. Just for your information.

============End of Messages============================================

Mi Mi writes: There is 45 days required at least for FBI people to do 
the security check. If your kids received their approval notices, remember
you guys need 45 days more to wait. It is good news that some DO receive
the  approval notices, but, most of them are children. At this time, we 
just worry about the prospective wast of visa numbers. Remember, there are
only 20,000 leftover for next year! Hope IFCSS people can find out some
truth.